class WorldcupController {
    private $model;

    public function __construct(WorldcupModel $model) {
        $this->model = $model;
    }

    public function loadTeams() {
        $teams = $this->model->getTeams();
        // ビューにチームデータを渡す処理
    }

    // その他のコントローラー処理

    // 選手の削除を行うメソッド
    public function deletePlayer($playerId) {
        $stmt = $this->model->connection->prepare("UPDATE players SET del_flg = 1 WHERE id = ?");
        $stmt->bind_param("i", $playerId);
        $stmt->execute();
        $stmt->close();
    }

    // 選手の編集を行うメソッド
    public function editPlayer($playerData) {
        $stmt = $this->model->connection->prepare("UPDATE players SET name = ?, country_id = ? WHERE id = ?");
        $stmt->bind_param("sii", $playerData['name'], $playerData['country_id'], $playerData['id']);
        $stmt->execute();
        $stmt->close();
    }
}

